<?php
ini_set('display_errors', 1);
require_once './Control/ControlOpIdioma.php';
require_once './Util/formAjax/FormAjax.php';
//require_once './Util/Imagem.php';
extract($_POST);
//echo print_r($_POST, true);	
$controlOpIdioma = new ControlOpIdioma();
if ($acao == 'inserir')
{
	$opIdioma = new Opidiomas();
} else
{
	$opIdioma = $controlOpIdioma->pegarUmOpIdioma($pk);
}
if ($acao != 'excluir')
{
    $opIdioma->setNome(stripslashes($txtNome));
    $opIdioma->setLang(stripslashes($txtLang));
    $opIdioma->setFormatodata(stripslashes($txtFormatoData));
    $opIdioma->setSimbolodecimal(stripslashes($txtSimboloDecimal));
    $opIdioma->setSimbolomoeda(stripslashes($txtSimboloMoeda));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlOpIdioma->salvarOpIdioma($opIdioma);
                    break;
            case 'inserir':
                    $retorno = $controlOpIdioma->salvarOpIdioma($opIdioma);
                    $acao = 'alterar';
                    $opIdioma->find(true);
                    $pk = $opIdioma->getOpidiomasid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlOpIdioma->excluirOpIdioma($opIdioma);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#opIdiomaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>